## org.biojava.bio.program.das.dasstructure
Class DASStructureXMLResponseParser

    java.lang.Object
      org.xml.sax.helpers.DefaultHandler
          org.biojava.bio.program.das.dasstructure.DASStructureXMLResponseParser

All Implemented Interfaces:
  ContentHandler, DTDHandler, EntityResolver, ErrorHandler

    public class DASStructureXMLResponseParser

extends DefaultHandler

a class to Parse the XML response of a DAS structure service. returns a Structure object

Constructor Summary
`DASStructureXMLResponseParser()`

Method Summary
`void` `characters(char[] ch, int start, int length)`
`void` `endDocument()`
`void` `endElement(String uri, String name, String qName)`
`Structure` `get_structure()` returns the Structure object.
`void` `startDocument()`
`void` `startElement(String uri, String name, String qName, Attributes atts)`

Methods inherited from class org.xml.sax.helpers.DefaultHandler
`endPrefixMapping, error, fatalError, ignorableWhitespace, notationDecl, processingInstruction, resolveEntity, setDocumentLocator, skippedEntity, startPrefixMapping, unparsedEntityDecl, warning`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DASStructureXMLResponseParser

    public DASStructureXMLResponseParser()

Method Detail

### get_structure

    public Structure get_structure()

  returns the Structure object.

  Returns:
    a Structure object

### startElement

    public void startElement(String uri,
                             String name,
                             String qName,
                             Attributes atts)

  Specified by:
    `startElement` in interface `ContentHandler`
  Overrides:
    `startElement` in class `DefaultHandler`

### startDocument

    public void startDocument()

  Specified by:
    `startDocument` in interface `ContentHandler`
  Overrides:
    `startDocument` in class `DefaultHandler`

### endDocument

    public void endDocument()

  Specified by:
    `endDocument` in interface `ContentHandler`
  Overrides:
    `endDocument` in class `DefaultHandler`

### endElement

    public void endElement(String uri,
                           String name,
                           String qName)

  Specified by:
    `endElement` in interface `ContentHandler`
  Overrides:
    `endElement` in class `DefaultHandler`

### characters

    public void characters(char[] ch,
                           int start,
                           int length)

  Specified by:
    `characters` in interface `ContentHandler`
  Overrides:
    `characters` in class `DefaultHandler`